import{s as ge,n as de,o as $e}from"../chunks/scheduler.d6170356.js";import{S as we,i as ye,g as o,s as i,r as b,A as Ie,h as s,f as n,c as r,j as he,u as A,x as l,k as ue,y as Pe,a,v as M,d as x,t as C,w as k}from"../chunks/index.fcd4cc08.js";import{H as q}from"../chunks/Heading.8660bd0e.js";function ve(ne){let f,E,S,W,c,F,p,ae='Please refer to <a href="https://huggingface.co/docs/api-inference" rel="nofollow">Inference API Documentation</a> for detailed information.',U,m,j,h,ie='For 🤗 Transformers models, <a href="https://huggingface.co/docs/transformers/main_classes/pipelines" rel="nofollow">Pipelines</a> power the API.',D,u,re="On top of <code>Pipelines</code> and depending on the model type, there are several production optimizations like:",N,g,oe='<li>compiling models to optimized intermediary representations (e.g. <a href="https://medium.com/microsoftazure/accelerate-your-nlp-pipelines-using-hugging-face-transformers-and-onnx-runtime-2443578f4333" rel="nofollow">ONNX</a>),</li> <li>maintaining a Least Recently Used cache, ensuring that the most popular models are always loaded,</li> <li>scaling the underlying compute infrastructure on the fly depending on the load constraints.</li>',O,d,se='For models from <a href="./models-libraries">other libraries</a>, the API uses <a href="https://www.starlette.io" rel="nofollow">Starlette</a> and runs in <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images" rel="nofollow">Docker containers</a>. Each library defines the implementation of <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images/sentence_transformers/app/pipelines" rel="nofollow">different pipelines</a>.',R,$,Y,w,le="Specify <code>inference: false</code> in your model card’s metadata.",X,y,B,I,fe=`For some tasks, there might not be support in the inference API, and, hence, there is no widget.
For all libraries (except 🤗 Transformers), there is a <a href="https://github.com/huggingface/huggingface.js/blob/main/packages/tasks/src/library-to-tasks.ts" rel="nofollow">library-to-tasks.ts file</a> of supported tasks in the API. When a model repository has a task that is not supported by the repository library, the repository has <code>inference: false</code> by default.`,G,P,J,v,ce="If you are interested in accelerated inference, higher volumes of requests, or an SLA, please contact us at <code>api-enterprise at huggingface.co</code>.",K,_,Q,T,pe='You can head to the <a href="https://api-inference.huggingface.co/dashboard/" rel="nofollow">Inference API dashboard</a>. Learn more about it in the <a href="https://huggingface.co/docs/api-inference/usage" rel="nofollow">Inference API documentation</a>.',V,H,Z,L,me='Yes, the <code>huggingface_hub</code> library has a client wrapper documented <a href="https://huggingface.co/docs/huggingface_hub/how-to-inference" rel="nofollow">here</a>.',ee,z,te;return c=new q({props:{title:"Inference API",local:"inference-api",headingTag:"h1"}}),m=new q({props:{title:"What technology do you use to power the inference API?",local:"what-technology-do-you-use-to-power-the-inference-api",headingTag:"h2"}}),$=new q({props:{title:"How can I turn off the inference API for my model?",local:"how-can-i-turn-off-the-inference-api-for-my-model",headingTag:"h2"}}),y=new q({props:{title:"Why don’t I see an inference widget or why can’t I use the inference API?",local:"why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api",headingTag:"h2"}}),P=new q({props:{title:"Can I send large volumes of requests? Can I get accelerated APIs?",local:"can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis",headingTag:"h2"}}),_=new q({props:{title:"How can I see my usage?",local:"how-can-i-see-my-usage",headingTag:"h2"}}),H=new q({props:{title:"Is there programmatic access to the Inference API?",local:"is-there-programmatic-access-to-the-inference-api",headingTag:"h2"}}),{c(){f=o("meta"),E=i(),S=o("p"),W=i(),b(c.$$.fragment),F=i(),p=o("p"),p.innerHTML=ae,U=i(),b(m.$$.fragment),j=i(),h=o("p"),h.innerHTML=ie,D=i(),u=o("p"),u.innerHTML=re,N=i(),g=o("ul"),g.innerHTML=oe,O=i(),d=o("p"),d.innerHTML=se,R=i(),b($.$$.fragment),Y=i(),w=o("p"),w.innerHTML=le,X=i(),b(y.$$.fragment),B=i(),I=o("p"),I.innerHTML=fe,G=i(),b(P.$$.fragment),J=i(),v=o("p"),v.innerHTML=ce,K=i(),b(_.$$.fragment),Q=i(),T=o("p"),T.innerHTML=pe,V=i(),b(H.$$.fragment),Z=i(),L=o("p"),L.innerHTML=me,ee=i(),z=o("p"),this.h()},l(e){const t=Ie("svelte-u9bgzb",document.head);f=s(t,"META",{name:!0,content:!0}),t.forEach(n),E=r(e),S=s(e,"P",{}),he(S).forEach(n),W=r(e),A(c.$$.fragment,e),F=r(e),p=s(e,"P",{"data-svelte-h":!0}),l(p)!=="svelte-gvdnyo"&&(p.innerHTML=ae),U=r(e),A(m.$$.fragment,e),j=r(e),h=s(e,"P",{"data-svelte-h":!0}),l(h)!=="svelte-2iniqr"&&(h.innerHTML=ie),D=r(e),u=s(e,"P",{"data-svelte-h":!0}),l(u)!=="svelte-1lee1s9"&&(u.innerHTML=re),N=r(e),g=s(e,"UL",{"data-svelte-h":!0}),l(g)!=="svelte-1fzm9iw"&&(g.innerHTML=oe),O=r(e),d=s(e,"P",{"data-svelte-h":!0}),l(d)!=="svelte-hv7bvp"&&(d.innerHTML=se),R=r(e),A($.$$.fragment,e),Y=r(e),w=s(e,"P",{"data-svelte-h":!0}),l(w)!=="svelte-1o36w5w"&&(w.innerHTML=le),X=r(e),A(y.$$.fragment,e),B=r(e),I=s(e,"P",{"data-svelte-h":!0}),l(I)!=="svelte-5kck3u"&&(I.innerHTML=fe),G=r(e),A(P.$$.fragment,e),J=r(e),v=s(e,"P",{"data-svelte-h":!0}),l(v)!=="svelte-1g95itu"&&(v.innerHTML=ce),K=r(e),A(_.$$.fragment,e),Q=r(e),T=s(e,"P",{"data-svelte-h":!0}),l(T)!=="svelte-1ouqarr"&&(T.innerHTML=pe),V=r(e),A(H.$$.fragment,e),Z=r(e),L=s(e,"P",{"data-svelte-h":!0}),l(L)!=="svelte-5o1vn3"&&(L.innerHTML=me),ee=r(e),z=s(e,"P",{}),he(z).forEach(n),this.h()},h(){ue(f,"name","hf:doc:metadata"),ue(f,"content",_e)},m(e,t){Pe(document.head,f),a(e,E,t),a(e,S,t),a(e,W,t),M(c,e,t),a(e,F,t),a(e,p,t),a(e,U,t),M(m,e,t),a(e,j,t),a(e,h,t),a(e,D,t),a(e,u,t),a(e,N,t),a(e,g,t),a(e,O,t),a(e,d,t),a(e,R,t),M($,e,t),a(e,Y,t),a(e,w,t),a(e,X,t),M(y,e,t),a(e,B,t),a(e,I,t),a(e,G,t),M(P,e,t),a(e,J,t),a(e,v,t),a(e,K,t),M(_,e,t),a(e,Q,t),a(e,T,t),a(e,V,t),M(H,e,t),a(e,Z,t),a(e,L,t),a(e,ee,t),a(e,z,t),te=!0},p:de,i(e){te||(x(c.$$.fragment,e),x(m.$$.fragment,e),x($.$$.fragment,e),x(y.$$.fragment,e),x(P.$$.fragment,e),x(_.$$.fragment,e),x(H.$$.fragment,e),te=!0)},o(e){C(c.$$.fragment,e),C(m.$$.fragment,e),C($.$$.fragment,e),C(y.$$.fragment,e),C(P.$$.fragment,e),C(_.$$.fragment,e),C(H.$$.fragment,e),te=!1},d(e){e&&(n(E),n(S),n(W),n(F),n(p),n(U),n(j),n(h),n(D),n(u),n(N),n(g),n(O),n(d),n(R),n(Y),n(w),n(X),n(B),n(I),n(G),n(J),n(v),n(K),n(Q),n(T),n(V),n(Z),n(L),n(ee),n(z)),n(f),k(c,e),k(m,e),k($,e),k(y,e),k(P,e),k(_,e),k(H,e)}}}const _e='{"title":"Inference API","local":"inference-api","sections":[{"title":"What technology do you use to power the inference API?","local":"what-technology-do-you-use-to-power-the-inference-api","sections":[],"depth":2},{"title":"How can I turn off the inference API for my model?","local":"how-can-i-turn-off-the-inference-api-for-my-model","sections":[],"depth":2},{"title":"Why don’t I see an inference widget or why can’t I use the inference API?","local":"why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api","sections":[],"depth":2},{"title":"Can I send large volumes of requests? Can I get accelerated APIs?","local":"can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis","sections":[],"depth":2},{"title":"How can I see my usage?","local":"how-can-i-see-my-usage","sections":[],"depth":2},{"title":"Is there programmatic access to the Inference API?","local":"is-there-programmatic-access-to-the-inference-api","sections":[],"depth":2}],"depth":1}';function Te(ne){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ae extends we{constructor(f){super(),ye(this,f,Te,ve,ge,{})}}export{Ae as component};
